#ifndef CONTR_H_QWERTY
#define CONTR_H_QWERTY

#include <stdint.h>

#define VCC_SIZE  12
#define FWD_SIZE  92
#define REV_SIZE  92

typedef struct {
    float temp;
    uint8_t band;
    bool key_was_pressed;
    uint16_t key_time_counter;
    uint16_t key_time_untap;
    uint16_t key_tap_counter;
    bool key_strokes_ended;

    uint16_t vcc[VCC_SIZE];
    size_t vcc_pos;
    uint16_t fwd[FWD_SIZE];
    size_t fwd_pos;
    uint16_t rev[REV_SIZE];
    size_t rev_pos;
} contr_t;

extern contr_t contr;

void contr_init(void);
void contr_setup(void);
void contr_main(void);

#endif
